From 37a26e606649d80312afcf56e297037af32b9396 Mon Sep 17 00:00:00 2001
From: Haidong Yu <yuhaidong@uniontech.com>
Date: Sun, 28 Jun 2020 11:33:13 +0800
Subject: [PATCH v2 2/2] user32: Fix a pop-up window is not visible when its
 owned window showed with SW_SHOWNOACTIVATE option.

Signed-off-by: Haidong Yu <yuhaidong@uniontech.com>
---
 dlls/user32/winpos.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/dlls/user32/winpos.c b/dlls/user32/winpos.c
index f759bd10f9..7284b396da 100644
--- a/dlls/user32/winpos.c
+++ b/dlls/user32/winpos.c
@@ -1001,6 +1001,7 @@ UINT WINPOS_MinMaximize( HWND hwnd, UINT cmd, LPRECT rect )
 
     case SW_SHOWNOACTIVATE:
         win_set_flags( hwnd, 0, WIN_RESTORE_MAX );
+        ShowOwnedPopups(hwnd, TRUE); 
         /* fall through */
     case SW_SHOWNORMAL:
     case SW_RESTORE:
-- 
2.20.1

